@import '../colors';

.top-container-users {
  display: flex;
  justify-content: space-between;

  .mat-form-field {
    width: 200%;
  }

  .searchbar {
    padding: 15px;
    width: 200px;
  }

  .search {
    input {
      font-size: 15px;
    }
  }

  .new {
    margin: 22px;
  }
}

.top-container-roles {
  border: 2px solid @blue;
  .title {
    background-color: @blue;
    color: @white;

    i {
      font-size: 18px;
    }
    label {
      line-height: 24px;
      vertical-align: top;
    }
  }
  .form {
    padding: 5px;
    i {
      font-size: 18px;
    }

    .message {
      padding: 10px;
      color: @red;
    }
  }
}

ul.users {
  list-style: none;
  padding: 0px;

  li.users-header {
    font-weight: bold;
    padding: 10px;
    display: flex;

    span {
      line-height: 35px;
    }

    span.name {
      width: 100px;
    }

    span.email {
      width: 205px;
    }

    span.roles {
      flex: 1.3;
    }

    span.status {
      flex: 0.9;
    }

    span.access_key_id {
      flex: 0.8;
    }

    span.creds {
      width: 200px;
    }

    span.validation-link {
      width: 200px;
    }

    span.actions {
      width: 100px;
    }
  }

  li.user {
    padding: 10px;
    background-color: @white;
    display: flex;

    user-component {
      display: flex;
      flex: 1;
    }

    span.creds {
      width: 200px;
      text-align: right;
    }

    span.validation-link {
      width: 200px;
      text-align: right;
    }

    span.actions {
      width: 70px;
    }
  }
}

.paginator {
  margin-bottom: 80px;
}
